BaseLocationPlanItem
Returns a list of BaseLocationPlanItem objects
GET/api/event/base_location_plan_item
Query parameters
idinteger | |
deletedboolean | This property is used to mark an entity as deleted / archived | Default value: false |
tokenstring | |
planstring | |
baseBookablestring | |
itemTypestring | |
shapestring | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of BaseLocationPlanItem objectsarray<BaseLocationPlanItem>
Show fields (25)
planintegerdisplayLabelstringLabel actually shown on the plan: the manual label wins, otherwise the cached bookable name.
idintegerPrimary key of the plan item. Internal ID.
tokenstringPublic token of the plan item. Used instead of the ID.
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
colorstringBackground color as hex value.
fg_colorstringForeground color as hex value.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_location_plan_item \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_location_plan_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_location_plan_item"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_location_plan_item', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_location_plan_item"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_location_plan_item")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_location_plan_item"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_location_plan_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseLocationPlanItemController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"color": "#3f5efb",
"fg_color": "#3f5efb",
"plan": 1,
"displayLabel": "string",
"token": "string",
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5
}
]Add a new BaseLocationPlanItem
POST/api/event/base_location_plan_item
Request body application/json
dataBaseLocationPlanItem2Show fields (17)
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new BaseLocationPlanItemBaseLocationPlanItem
Show fields (25)
planintegerdisplayLabelstringLabel actually shown on the plan: the manual label wins, otherwise the cached bookable name.
idintegerPrimary key of the plan item. Internal ID.
tokenstringPublic token of the plan item. Used instead of the ID.
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
colorstringBackground color as hex value.
fg_colorstringForeground color as hex value.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/base_location_plan_item \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
item_type: 'string',
shape: 'string',
pos_x: 1.5,
pos_y: 1.5,
width: 1.5,
height: 1.5
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/base_location_plan_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_location_plan_item"
payload = { "data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/base_location_plan_item', [
'body' => '{"data":{"item_type":"string","shape":"string","pos_x":1.5,"pos_y":1.5,"width":1.5,"height":1.5}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_location_plan_item"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_location_plan_item")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_location_plan_item"
payload := strings.NewReader("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_location_plan_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_base_location_plan_item.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseLocationPlanItemController.post(EventBaseLocationPlanItem.fromJson({
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"color": "#3f5efb",
"fg_color": "#3f5efb",
"plan": 1,
"displayLabel": "string",
"token": "string",
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5
}Returns a single BaseLocationPlanItem
GET/api/event/base_location_plan_item/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single BaseLocationPlanItemBaseLocationPlanItem
Show fields (25)
planintegerdisplayLabelstringLabel actually shown on the plan: the manual label wins, otherwise the cached bookable name.
idintegerPrimary key of the plan item. Internal ID.
tokenstringPublic token of the plan item. Used instead of the ID.
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
colorstringBackground color as hex value.
fg_colorstringForeground color as hex value.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_location_plan_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseLocationPlanItemController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"color": "#3f5efb",
"fg_color": "#3f5efb",
"plan": 1,
"displayLabel": "string",
"token": "string",
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5
}Update a BaseLocationPlanItem
PUT/api/event/base_location_plan_item/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataBaseLocationPlanItem2Show fields (17)
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a BaseLocationPlanItemBaseLocationPlanItem
Show fields (25)
planintegerdisplayLabelstringLabel actually shown on the plan: the manual label wins, otherwise the cached bookable name.
idintegerPrimary key of the plan item. Internal ID.
tokenstringPublic token of the plan item. Used instead of the ID.
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
colorstringBackground color as hex value.
fg_colorstringForeground color as hex value.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
item_type: 'string',
shape: 'string',
pos_x: 1.5,
pos_y: 1.5,
width: 1.5,
height: 1.5
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
payload = { "data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', [
'body' => '{"data":{"item_type":"string","shape":"string","pos_x":1.5,"pos_y":1.5,"width":1.5,"height":1.5}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
payload := strings.NewReader("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_location_plan_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_base_location_plan_item.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseLocationPlanItemController.put(EventBaseLocationPlanItem.fromJson({
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"color": "#3f5efb",
"fg_color": "#3f5efb",
"plan": 1,
"displayLabel": "string",
"token": "string",
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5
}Update a BaseLocationPlanItem
PATCH/api/event/base_location_plan_item/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataBaseLocationPlanItem2Show fields (17)
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a BaseLocationPlanItemBaseLocationPlanItem
Show fields (25)
planintegerdisplayLabelstringLabel actually shown on the plan: the manual label wins, otherwise the cached bookable name.
idintegerPrimary key of the plan item. Internal ID.
tokenstringPublic token of the plan item. Used instead of the ID.
item_typestringType of the item, for example seat, table or label.
shapestringShape of the item on the plan.
pos_xnumber (float)Left edge, normalized 0.0 - 1.0
pos_ynumber (float)Top edge, normalized 0.0 - 1.0
widthnumber (float)Width of the item in plan units.
heightnumber (float)Height of the item in plan units.
rotationnumber (float)Rotation of the item in degrees.
z_indexintegerStacking order of the item on the plan.
labelstringOverrides the bookable name on the plan.
iconstringIcon shown on the item.
show_labelbooleanShow the label of the item.
show_statusbooleanShow the status of the item.
show_nextbooleanShow the next booking of the item.
seat_rowstringSeat: row ("5", "B") as printed on the ticket.
seat_numberstringSeat: number within the row.
seat_zonestringSeat: price zone ("A", "Loge"). An event's ticket category with the same PredefinedBillingItem::ticketSeatZone may be booked on it; without a zone every category may.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
colorstringBackground color as hex value.
fg_colorstringForeground color as hex value.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/base_location_plan_item/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
item_type: 'string',
shape: 'string',
pos_x: 1.5,
pos_y: 1.5,
width: 1.5,
height: 1.5
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
payload = { "data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/base_location_plan_item/42', [
'body' => '{"data":{"item_type":"string","shape":"string","pos_x":1.5,"pos_y":1.5,"width":1.5,"height":1.5}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_location_plan_item/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_location_plan_item/42"
payload := strings.NewReader("{\"data\":{\"item_type\":\"string\",\"shape\":\"string\",\"pos_x\":1.5,\"pos_y\":1.5,\"width\":1.5,\"height\":1.5}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/base_location_plan_item/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5,
"width": 1.5,
"height": 1.5
}
}),
);
print(response.body);{
"id": 42,
"color": "#3f5efb",
"fg_color": "#3f5efb",
"plan": 1,
"displayLabel": "string",
"token": "string",
"item_type": "string",
"shape": "string",
"pos_x": 1.5,
"pos_y": 1.5
}